Bug 531055 - htop built with a private copy of plpa.
htop built with a private copy of plpa.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: htop (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
:
Depends On: 530230
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2009-10-26 13:17 EDT by Steve Traylen
Modified: 2010-04-29 05:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: htop-0.8.3-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-29 05:05:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2009-10-26 13:17:27 EDT
Description of problem:

The build of htop uses a private copy of plpa.
http://kojipkgs.fedoraproject.org/packages/htop/0.8.3/2.fc12/data/logs/i686/build.log

and in particular:

checking for PLPA building mode... included
checking for PLPA config prefix... plpa-1.1
checking for PLPA symbol prefix... plpa_

/bin/sh ../../libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I../..     -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -MT plpa_api_probe.lo -MD -MP -MF .deps/plpa_api_probe.Tpo -c -o plpa_api_probe.lo plpa_api_probe.c


I've recently submitted a review request for plpa bug #530230
so of course htop should use this once reviewed.
Unfortunately however the licensing for plpa is under review itself.
 
Steve
Comment 1 Bug Zapper 2009-11-16 09:21:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tom "spot" Callaway 2009-11-30 17:22:35 EST
There is a very good chance that htop will have to be removed from Fedora due to licensing issues, blocking FE-Legal here.
Comment 3 Tom "spot" Callaway 2010-02-25 10:23:24 EST
The legal issues inside htop have been resolved upstream, see:

http://htop.svn.sourceforge.net/viewvc/htop/trunk/COPYING?r1=1&r2=170

Hicham told me via email that he plans on publishing the next release of htop which incorporates this change "ASAP", so it is likely the license issue will be resolved in time for Fedora 13.

The bundled plpa copy is a separate concern, I'll take a look at it when the new htop release hits.
Comment 4 Tom "spot" Callaway 2010-03-04 15:43:34 EST
I've patched htop to use the system plpa in the Fedora 13 and Rawhide package branches.
Comment 5 Fedora Update System 2010-03-04 16:09:04 EST
htop-0.8.3-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/htop-0.8.3-3.fc13
Comment 6 Fedora Update System 2010-03-04 22:37:20 EST
htop-0.8.3-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Admin XMLRPC Client 2010-04-29 05:02:54 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Milos Jakubicek 2010-04-29 05:05:27 EDT
I just took over htop from the previous maintainer. Looks like I can close this bug -- Spot, thank you for all the work on htop!

Note You need to log in before you can comment on or make changes to this bug.